Subject: Re: cygwinb19.dll could not be found error
From: [email-masked] (yang su)

14 Jun 1998 19:13:12 -0700
Message-ID: <[email-masked]>
References: <Pine.GSO.3.96.980614122739.7402A-100000@dilbert>
Content-Type: text
To: [email-masked] (Benoit Papillault)
Cc: [email-masked]

I use the following test.c as a test and it fails as a cgi call:
(with same error message)
================================================
#include <stdio.h>

main(){
	printf("Content-type: text/html \n\n");
	printf("<html> \n");
	printf("Hello World!");
	printf("</html> \n ");
}
==================================================

Any further suggestions?

yang

> 
> On Sat, 13 Jun 1998, yang su wrote:
> > I have a regular c program served as a cgi, I compile it
> > like  this:
> > gcc test.c -o test.cgi
> > and this test.cgi runs ok on console , but when it runs as
> > a cgi, the error "cygwinb19.dll not found in the path
> > ---a list of path--- " appears.
> > what's wrong with that? How do I compile it so that it will work
> > as a cgi?
> 
> I don't think that the problem comes from GNUWin32. I think you have to
> investigate what are the difference when you run your program on a console
> and when you run it as a CGI. I mean: check environnement variable,
> program argument and so on. 
> 
> Benoit.
> 
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".